# Generated from auto_error-0.0.18.gem by gem2rpm -*- rpm-spec -*-
%global gem_name auto_error

Name: rubygem-%{gem_name}
Version: 0.0.18
Release: 1%{?dist}
Summary: A rails engine for in-app exception handling
License: MIT
URL: http://ryanfunduk.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(bcrypt-ruby) >= 3.1
# BuildRequires: rubygem(bcrypt-ruby) < 4
# BuildRequires: rubygem(rspec-rails) >= 2.14
# BuildRequires: rubygem(rspec-rails) < 3
# BuildRequires: rubygem(fabrication) >= 2.9
# BuildRequires: rubygem(fabrication) < 3
# BuildRequires: rubygem(faker) >= 1.2
# BuildRequires: rubygem(faker) < 2
# BuildRequires: rubygem(do_not_want) = 0.0.1
BuildArch: noarch

%description
AutoError is a mountable engine for Rails 4.0+ which provides
an 'exceptions_app' which helps you catch exceptions (showing
the appropriate page to users) and an interface you can mount
in your admin panel to display those errors.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.18-1
- Initial package
